export declare type FiwoFileType = 'document' | 'presentation' | 'spreadsheet' | 'drawing' | 'image';
export interface FiwoFileMetaInformation {
    type: FiwoFileType;
    mime: string;
    name: string;
    size: number;
    creator: string;
    createdAt: string;
    modifiedAt: string;
    [key: string]: any;
}
export interface FiwoFileContent {
    [key: string]: any;
}
export declare class FiwoFile {
    meta: FiwoFileMetaInformation;
    content: FiwoFileContent;
    constructor(props: {
        content: FiwoFileContent;
        meta: FiwoFileMetaInformation;
    });
}
